Bug 1979116 - Cannot create vm from customize wizard on CNV 2.6.5 + OCP 4.8
Summary: Cannot create vm from customize wizard on CNV 2.6.5 + OCP 4.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Yaacov Zamir
QA Contact: YaoJinbo
URL:
Whiteboard:
: 1991509 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-05 03:06 UTC by Guohua Ouyang
Modified: 2022-02-08 03:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
If you run OpenShift Virtualization 2.6.5 with OpenShift Container Platform 4.8 or later, you can now create a virtual machine from the Customize wizard.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:38:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
cannot create vm from customize wizard (153.02 KB, image/png)
2021-07-05 03:06 UTC, Guohua Ouyang
no flags Details
error on customize wizard (164.61 KB, image/png)
2021-07-13 08:33 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9758 0 None None None 2021-08-09 10:20:40 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:22 UTC

Description Guohua Ouyang 2021-07-05 03:06:38 UTC
Created attachment 1797983 [details]
cannot create vm from customize wizard

Description of problem:
Cannot create vm from customize wizard on CNV 2.6.5 + OCP 4.8, there is not a clear error message for this, please refer to attachment for errors.

Version-Release number of selected component (if applicable):
CNV 2.6.5 + OCP 4.8

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Yaacov Zamir 2021-07-06 12:47:00 UTC
submitted upstream: https://github.com/openshift/console/pull/9412

Comment 2 Yaacov Zamir 2021-07-09 08:46:09 UTC
https://github.com/openshift/console/pull/9412 - merged upstream

Comment 4 Guohua Ouyang 2021-07-13 08:33:03 UTC
Created attachment 1801087 [details]
error on customize wizard

Still failed on CNV 2.6.6 + OCP master.
Copy the yaml and create it from cli is okay.

Comment 5 mgarrell 2021-07-22 19:06:27 UTC
Merged PR for 4.8 release notes - https://github.com/openshift/openshift-docs/pull/34736

Comment 6 Yaacov Zamir 2021-08-02 10:05:15 UTC
not a blocker because it only affect users who use the advanced customize wizard

Comment 7 Yaacov Zamir 2021-08-09 10:18:28 UTC
*** Bug 1991509 has been marked as a duplicate of this bug. ***

Comment 9 YaoJinbo 2021-08-20 03:36:38 UTC
Verified on OCP4.9

1.Select templates and click button 'Customize virtual machine'
2.Fill data and create vm success.

Create vm from customize wizard success

Comment 12 errata-xmlrpc 2021-10-18 17:38:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.